Recomendações nas informações do sistema

Bom Dia.

Instalei um Mautic com o script, sem problemas. A versão que está instalada é a 4.2.1, mas eu queria experimentar o comando update e agora estou na versão 4.3.1.

Ao revisar as informações do sistema, nas recomendações, recebo o seguinte:

A variável date.timezone \ não foi encontrada em sua configuração do PHP. Mautic definiu o fuso horário padrão para ‘UTC’, mas sugerimos definir isso em sua configuração do PHP.

Eu uso a zona Europa/Madrid.

E também isto:

O valor memory_limit em sua configuração PHP é menor que o limite mínimo recomendado de 128 MB. Mautic pode ter problemas de desempenho com grandes conjuntos de dados sem memória suficiente.

Terei que carregar a memória? Se sim, como devo fazer?

Obrigada,

Óscar.

Então, essa versão 4.3 tem apresentado alguns erros, inclusive na migração do banco.

O nosso php esta com memory_limit configurado pra 512, mas ela ainda apresenta erro.

Pra conferir executa este comando no console do container

php -i | grep 'memory'

Acredito que, seria melor esperar eles evoluirem mais esta versão e sair uma nova imagem adaptada pra ela.

Estou muito interessado em testar o custom objetcs, mas ainda não veio nesta. Ela é quase que uma versão de transição. Tem tudo pra ser instável.

Olá @leoborlot

Quando você coloca o código que você diz, sai o que você vê na imagem.

Atualizei para testar o comando, poderia voltar para uma versão anterior?

Obrigado

O mautic que você atualizou é só de teste ou ja tem dados?

A verdade é que não tem dados, mas quero colocar em produção.

Você pode fazer uma coisa. Parar o container (STOP), remover o Volume e Ativar o container. Que assim, ele vai reinstalar o Mautic conforme a imagem original.

Será que vale a pena criar um recurso de Reinstall?
Pra quem quiser voltar uma versão, dai executaria: mtc-reinstall v4.2.2 por exemplo, e ele removeria a atual e reinstalaria esta.

O volume que tenho que deletar é esse?

volumename_data

Ou também excluir volumename_backup?

Aliás, se você não me entende bem é porque sou espanhol e estou usando o google tradutor. Eu entendo o idioma, mas tenho problemas para escrevê-lo

Sem problemas, vamos nos entendendo.

Sim, o Volume aonde o mautic é unstalado é o “_data”.

Remover apenas ele é o suficiente.

Com licença, hoje estou lhe dando a lata.

É que não me deixa apagar o volume, me dá um erro. Ele me diz que está em uso, mas o contêiner está parado (STOP)

Me confundi. Só da pra remover o volume se subir o container via Stack, por que ai, você remove o container por completo e executa a stack novamente.

Neste caso precisa matar o container por completo. E em seguida subir novamente.

Resumo

Deixa eu ver se consigo compilar o comando em uma linha pra você executar.

Ontem eu não disse nada sobre o comando para fazer uma reinstalação.

Não sei se você já tem um, mas seria interessante poder fazer uma atualização escolhendo para qual versão ir.
Por exemplo, se você estiver no 4.0.1 e a versão mais recente for 4.4.0, você pode decidir atualizar para a versão 4.2.1. Porque a versão mais recente sempre tem bugs.

Um saudação

Ola, @leoborlot
Criar un novo recurso de reinstall e bom!

2 Likes